//    nVLC
//    
//    Author:  Fredeik Tilkin
//
//    nVLC is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    nVLC is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//     
// ========================================================================

using System;
using System.Runtime.InteropServices;

namespace LibVlcWrapper
{

	[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
	unsafe delegate IntPtr VlcVideoLockHandlerDelegate(ref IntPtr data, ref IntPtr pixels);

	[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
	unsafe delegate void VlcVideoUnlockHandlerDelegate(ref IntPtr data, ref IntPtr id, ref IntPtr pixels);

	[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
	unsafe delegate void VlcVideoDisplayHandlerDelegate(ref IntPtr data, ref IntPtr id);

	[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
	unsafe delegate void VlcEventHandlerDelegate(ref libvlc_event_t libvlc_event, IntPtr userData);

	//typedef void(* libvlc_audio_play_cb)(void *data, const void *samples, unsigned count, int64_t pts)
	[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
	unsafe delegate void VlcAudioPlayDelegate( ref IntPtr data, IntPtr samples, UInt32 count, Int64 pts);
}